'use strict';

/**
 * @param {TxParams} params
 * @return {TxParams}
 */
function decorateDeclareCandidacyTxParams(params) {
  if (params.gasCoin === undefined) {
    params.gasCoin = params.data.coin;
  }
  return params;
}

module.exports = decorateDeclareCandidacyTxParams;
